Subject: Re: [PATCH 12/13] gianfar: Add flags for magic packet and MDIO.

From: Scott Wood <[email-masked]>
Date: Mon, 07 May 2007 16:53:04 -0500

Andy Fleming wrote:
> Hrm.  I don't think this is a good way to go.  The DEV* flags are all  
> features right now, rather than configuration settings.  It seems  like 
> this is a stop-gap solution for until more robust detection of  the 
> ability to power down the interface.  I can understand that a  full 
> solution might be beyond the ambitions of this first set of  patches, 
> but I'd prefer if we didn't pollute gianfar's device flags  space with a 
> flag that we should aim at removing eventually.

I'd rather "pollute" an existing flags with something that can be 
removed (and the bit reused, if you're concerned about that) later, than 
add a completely new field to accomplish the same thing.

And like the other DEV flags, it's an attribute of the device as it 
exists in the system.

-Scott